휴먼 리뷰 경로 중복
API는 이 문제가 발생하면 422 Unprocessable Content을 반환합니다. 이 오류의 type 값은 https://lingo.dev/docs/api/errors/human-edit-routes-conflict입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.
사람이 하는 검토 경로가 더 좁은 범위의 경로 없이 동일한 대상을 포함합니다. pt-BR의 경우 <directory>에서 <routes>와 <routes>가 중복됩니다. 각 경로의 로캘을 분리하거나 한 목록을 다른 목록 안에 중첩하세요.
필드#
본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드들을 바탕으로 생성되므로 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
conflicts | object[] |
conflicts[].routes | string[] |
conflicts[].directory | string | null |
conflicts[].locale | string |
예시#
json
{
"detail": "Human review routes cover the same targets with neither narrower: <routes> and <routes> on <directory> for pt-BR. Split their locales or nest one list in the other.",
"conflicts": [
{
"routes": [
"<routes>",
"<routes>"
],
"directory": "<directory>",
"locale": "pt-BR"
}
],
"type": "https://lingo.dev/docs/api/errors/human-edit-routes-conflict",
"status": 422,
"title": "Human review routes overlap"
}이 오류를 반환하는 엔드포인트#
PATCH /v2/engines/{id}POST /v2/organizations/{orgId}/enginesPOST /v2/organizations/{orgId}/provisioning/jobs